- Home
- API Enriched
- Statistics
- operate
- Show Matching Flows.
Show Matching Flows.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/matching_flows';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"dest":"example","dest_port":1,"external_service":{},"intf":"example","namespace":"example","node":"example","pod":"example","proto":1,"seconds":1,"site":"example","src":"example","src_port":1,"vn":"example","vn_type":"VIRTUAL_NETWORK_SITE_LOCAL"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/matching_flows \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "dest": "example", "dest_port": 1, "external_service": {}, "intf": "example", "namespace": "example", "node": "example", "pod": "example", "proto": 1, "seconds": 1, "site": "example", "src": "example", "src_port": 1, "vn": "example", "vn_type": "VIRTUAL_NETWORK_SITE_LOCAL" }'Show VER flows matching the request.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site from which flows are requested.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET list of VER flows matching the request.
object
Destination Address of the flow (optional)
Destination port of the flow (optional)
object
Exclusive with [external_service pod vn vn_type] Name of the Interface on which flows are to be matched.
Namespace for which the request is sent (system)
Name of the node from which flows are requested.
Exclusive with [external_service intf vn vn_type] Name of the pod for which flows are to be matched.
Protocol of the flow (optional)
Number of seconds for which flows are requested. A value of 100 returns flows created in the past 100 seconds, with a maximum of 1024 flows. A value of 0 returns all matching flows upto a maximum of 1024.
Name of the site from which flows are requested.
Source Address of the flow (optional)
Source port of the flow (optional)
Exclusive with [external_service intf pod vn_type] Name of Virtual Network on which flows are matched.
Responses
Section titled “Responses”A successful response.
Matching flow list from VER.
object
Flow information.
Flow information.
object
ACE identifier.
ACL identifier.
Action on the flow traffic.
Total byte count of the packets that hit the flow.
Destination nexthop ID.
Destination VRF ID, when VRF translation is involved.
Reason for flow drop, when action is “Drop”
List of nexthop identifiers, when ecmp is applicable.
Nexthop for the External Service.
Flow TCP flags.
Index of the forward flow.
object
Destination Address of the flow.
Destination port of the flow.
Interface index.
Protocol of the flow.
Source Address of the flow.
Source port of the flow.
Vrf index
Forward label.
TTL value
Number of packets that hit the flow.
QoS identifier.
Index of the reverse flow.
Source nexthop ID.
Examplegenerated
{ "flow": [ { "ace_id": 1, "acl_id": 1, "action": "example", "byte_count": "example", "dest_nh_id": 1, "dest_vrf_id": 1, "drop_reason": "example", "ecmp_nh_id": [ 1 ], "external_service_nh_id": 1, "flags": "example", "flow_index": 1, "forward_flow": { "dest": "example", "dest_port": 1, "intf_id": 1, "proto": 1, "src": "example", "src_port": 1, "vrf_id": 1 }, "forward_label": 1, "fr_ttl": 1, "pkt_count": "example", "qos_id": 1, "reverse_flow_index": 1, "src_nh_id": 1 } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example